Subject: Summary: Performance of PPro

From: "Rochus Schmid" <[email-masked]>
Date: Wed, 31 Jul 1996 15:58:28 -0600

Dear Netters,

Many thanks for the numerous replies on my question on the performance of PPro.

In order of appearance:
Edgardo Garcia, Nico van Eikema Hommes, Pedro A M Vazquez, Thomas Huber, Thomas
Wagener, John M. McKelvey, Jochen Buehler, Joe Durant, Alan Hewat, Arne
Elofsson

Unfortunately, there are not very much "hard facts" I could summarize. (A lot
of indirect comparisons and -in my eyes (forgive me)- more or less emotional
problems with LINUX or INTEL CPUs in general ....

In order not to fill the bandwidth I picked out some things:

****************************************************************************

On Jul 17, 10:31am, Pedro A M Vazquez wrote:
> Subject: [COMP-CHEM] CCL:G:performance of PPro (fwd)
> Hello
> 	We just started to benchmark a PPro200MHz for quantum chemistry
> calculations.
> 	While I've not completed all sets of tests I've results for the
> Stream benchmark (Memory bandwidth), Bonnie (I/O) and the 4 Gamess
> benchmarks.
> 	These results are for an Asustek Motherboard with 64M of RAM,
> an Adaptec 2940 SCSI2 adaptor and a NEC 2.1G SCSI2 hard disk running
> under FreeBSD2.1.0:
>
> Stream:(a g94 job running during the benchmark)
>
> Function      Rate (MB/s)   RMS time     Min time     Max time
> Assignment:    97.5238       0.1965       0.1641       0.2109
> Scaling   :    85.3333       0.1969       0.1875       0.2031
> Summing   :    87.7714       0.2813       0.2734       0.2969
> SAXPYing  :    90.3529       0.2797       0.2656       0.2891
>
> Just for comparision, these are the results for an Alpha Server 1000 4/266
> DEC Unix3.2C: (idle machine)
>
> Function      Rate (MB/s)   RMS time     Min time     Max time
> Assignment:    96.0000       0.1801       0.1667       0.1833
> Scaling   :    96.0000       0.1836       0.1667       0.2000
> Summing   :    96.0000       0.2586       0.2500       0.2833
> SAXPYing  :    96.0000       0.2618       0.2500       0.2667
>
> Bonnie:
>               -------Sequential Output-------- ---Sequential Input--
--Random--
>               -Per Char- --Block--- -Rewrite-- -Per Char- --Block---
--Seeks---
> Machine    MB K/sec %CPU K/sec %CPU K/sec %CPU K/sec %CPU K/sec %CPU  /sec
%CPU
>
> 2940/PP200
>           100  3275 56.5  3194 12.8  1424 11.2  4978 80.4  4926 17.8 103.8
 4.1
>
> Alpha 1000 4/266 DEC RZ28
>           100  4906 95.4  5439 17.4  2550 10.4  4746 82.6  5322 12.6 428.0
10.8
>
> GAMESS:
> Bench           10      04      13      07
> =============================================
> IBM370          64      74      366     391
> P166            61      78      281     335
> IBM580          59      69      322     381
>
> PPro200         43.6    69.3    163.7   254.6 <<<<<<
>
> IBM590          33      33      147     202
> Alpha1000 4/266 23.3    30.5    126.9   147.0
>
> The results for the Pentium166 (64M/RAM,FreeBSD2.1.0,2940/NEC2.1HD) and
> for the PPro200 were obtained with GAMESS (22/nov/95) compiled with
> GNU Fortran 0.5.18 (slightly faster than f2c/gcc).
>
> I need to benchmark gaussian yet to have a more representative sampling
> but as you can see these are very good results for a cheap computer.
> If you opt to buy 2 PPro to run GAMESS in parallel you'll got near
> two times the above reported performance.
>
> Pedro
>-- End of excerpt from Pedro A M Vazquez

On Jul 17,  3:57pm, Thomas Huber wrote:
> > > > Model: Plastocyanin all atom force-field with 3375 water molecules
> > > >        periodic boundary conditions, with a residue based cutoff (1.2
nm)
> > > >        resulting in an about 6,000,000 sized pairlist
> > > >        100 steps MD
> > > >
> > > > Machine					Wallclock time [s]
> > > >
> > > > Pentium 90MHz
> > > > Plato board	linux / f2c&gcc			2791
> > > > 		linux / g77			3235
> > > >
> > > > PentiumPro  150MHz
> > > > WinNT / Microsoft Fortran PowerStation 4.0	601
> > > >
> > > > HP 735 125MHz					539
> > > >
> > > > SGI R8000 75MHz					335
> > > >
> > > > Dec alpha 600 266MHz				378
> > > >
> > > > Cray C90					117
> > > >
> > > > Not too bad!!!!!
> > > >
> > > > Thomas
>-- End of excerpt from Thomas Huber

On Jul 17,  9:41am, Joe Durant wrote:
> Subject: Re: CCL:G:performance of PPro
> Hallo Rockus!
>
> We have been migrating to Pentiums and Pentium Pros... I put together
> a web-page with some of our benchmarks, look at
> http://mephisto.ca.sandia.gov/benchmarks.html
> I am really happy with my dual P6 box... each processor is roughly the
> speed of my R8000, and the whole thing costs about $6K.  The dual P6
> boards offer 4 way interleaving on the memory, which I believe
> explains the speedup of the dual board over the single processor
> board.  The loss in performance for things like QCISD is due, I am
> told, to the gcc compilers not yet being as good at optimizing matrix
> calculations.  These same people expect the differences to disappear
> as the gnu compilers for the P6 mature.
>
> I look forward to your summary.
>
> Joe
>-- End of excerpt from Joe Durant

************************************************************************

Best greetings to all of you,

Rochus

-- 

********************************************************************************
Rochus Schmid
Technische Universitaet Muenchen	Tel. 	++49 89 2891 3140
Lehrstuhl f. Anorganische Chemie 1	Fax. 	++49 89 2891 3088
Prof. W. A. Herrmann			E-mail:	
Lichtenbergstrasse 4			[email-masked]
85747 Garching
********************************************************************************